TARGET  = viewer
CONFIG += qt opengl glut warn_on release thread openmp #debug
QT     *= xml opengl



HEADERS = serveur.h observateur.h
HEADERS += observateur_2d.h window_scene_2d.h scene_2d.h finger.h
HEADERS += observateur_3d.h window_scene_3d.h 
HEADERS += point_3d.h cube.h tact.h matrice_4x4.h objet_scene.h scene_3d.h


SOURCES  = main2.cpp
SOURCES += serveur.cpp observateur.cpp
SOURCES += observateur_2d.cpp window_scene_2d.cpp scene_2d.cpp finger.cpp
SOURCES += observateur_3d.cpp window_scene_3d.cpp
SOURCES += point_3d.cpp cube.cpp tact.cpp matrice_4x4.cpp objet_scene.cpp scene_3d.cpp



# Qt 2.3 users must edit config.pri
#include( config.pri )
LIBS *= -lglut

exists( /usr/lib/libqglviewer-qt4.so ) {
# Ubuntu
LIBS *= -lqglviewer-qt4
}

!exists( /usr/lib/libqglviewer-qt4.so ) {
# Mac (Victor)
#LIBS *= /usr/local/Cellar/libqglviewer/2.3.16/QGLViewer.framework/QGLViewer
#LIBS *= -framework QGLViewer

# Mac Playground
LIBS *=  -F/Users/kevinb/Desktop/cubtile/homebrew/Cellar/libqglviewer/2.3.16  -framework QGLViewer

# Fedora (Téo)
#LIBS *= -lQGLViewer -lGLU

INCLUDEPATH += /Users/kevinb/Desktop/cubtile/homebrew/Cellar/libqglviewer/2.3.16/QGLViewer.framework/Headers
}


